<?php

namespace EventPortal\Domain\Event\ValueObjects;

use EventPortal\Domain\Event\Models\Event;

class EventDetails
{
    /** @var string */
    public $name;

    /** @var string */
    public $date;

    public function __construct(Event $event)
    {
        $this->name = $event->name;
        $this->date = $event->readable_dates;
    }

    public static function make(Event $event): self
    {
        return new self($event);
    }
}
