<?php

namespace EventPortal\Domain\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;

class CreateModel
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $model = $payload->getModel()->create($payload->getInput());

        $payload->replaceModel($model);

        return $next($payload);
    }
}
